petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSFWindowSetSyncType

set synchrozitaion type for PetscSF communication

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowSetSyncType(PetscSF sf,PetscSFWindowSyncType sync)

Logically Collective

### Input Arguments

| sf | - star forest for communication
| sync | - synchronization type

### Options Database Key

-sf_window_sync <sync> -sets the synchronization type FENCE, LOCK, or ACTIVE (see PetscSFWindowSyncType)

### See Also

PetscSFSetFromOptions(), PetscSFWindowGetSyncType()

### Level

advanced

### Location

src/vec/is/sf/impls/window/sfwindow.c

### Implementations

PetscSFWindowSetSyncType_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages